1.1.0.3、从二进制包安装

翻译 2015年11月17日 21:57:38

Binaries

这个指令集是为骇客们准备的,方便他们在各种环境中快速的体验Docker。

在继续下面的话题前,你应该检查一下,你的系统上是否已经拥有一个可用的打包版本。我们给很多的系统提供相应的打包文件,并且持续更新它们。

检查运行时依赖

要正常运行,docker需要安装如下软件:

  • iptables 1.4(或更高) 
  • Git 1.7(或更高)
  • procps (或 可以提供类似 “ps” 的软件)
  • XZ Utils 4.9(或更高) 
  • 一个properly mounted cgroupfs 层次机构(having a single, all-encompassing “cgroup” mount point is not sufficient)

检测内核依赖

Docker 的 daemon 模式需要特定的内核特性。详情,检测你的系统参考安装指南

一个 3.10 Linux 内核是Docker正常运行的最小要求。低于3.10版本的内核缺少一些运行容器特性。这些老版本中恶名昭昭的bug会导致数据的丢失和在特定的条件下频繁出现“恐慌”。

最小版本 3.10 (或更新被维护的版本)Linux 内核是被推荐的。保持内容在最新的小版本,可以规避很多来自内核bug。

警告:安装定制性的内核时,需要考虑你的系统供应商是否支持它。所以,在你安装定制化的之前,请先咨询一下你的系统供应商。

警告:安装一个新的内核可能还不够,一些系统供应商提供的包太老或这个跟新的内核不兼容。

注意,Docker还有一个客户端模式,它几乎可以在任何Linux内核中(甚至可以在OS X 上构建)。

尽量启用AppArmor 和 SELinux

请使用 AppArmor 或 SELinux,如果你的Linux系统支持这两种功能。这将帮助我们提升系统的安全性和规避一些漏洞。你的系统文档会提供详细的设置,关于如何有效的运用安全的原理。

有些Linux系统默认开启 AppArmor 或 SELinux。但是,内核满足不了最小的需求(3.10或更高)。升级内核到 3.10 或更高,在这样的一个系统上,可能还不能够启动Docker和运行容器。系统提供用户空间工具与AppArmor/SELinux的版本不兼容,内核可能会阻止Docker 运行或启动容器,这样会导致容器出现一些诡异的行为。

警告:如果启用其中任何一个安全机制,不应该为了启动Docker或它(docker)的容器而关闭它。这样会降系统环境的安全性,失去系统供应商的支持,并且可能打破在严格的监管环境法规和安全政策。

获取Docker 二进制执行包

你可以下载任何一个最新的发行包或一个指定版本。下载完二级制文件后,你必须更改问价的执行权限。

在Linux和OS X上设置文件的可执行权限:

$ chmod +x docker

从GitHub上获取可用版本的列表,查看 docker/docker 发行页面

注意:

1) 通过分别在URL上追加.md5 和 .sha256,你可以获得MD5 和 SHA256散列 

2) 通过分别在URL上追加.tgz,你可以获得压缩过的二进制文件

获取 Linux 二进制文件

使用下面的URL可以下载Linux对应的最新版本:

https://get.docker.com/builds/Linux/i386/docker-latest

https://get.docker.com/builds/Linux/x86_64/docker-latest

使用下面的URL模式可以下载特定版本:

https://get.docker.com/builds/Linux/i386/docker-<version>

https://get.docker.com/builds/Linux/x86_64/docker-<version>

例如:

https://get.docker.com/builds/Linux/i386/docker-1.6.0

https://get.docker.com/builds/Linux/x86_64/docker-1.6.0

获取Mac OS X 二进制文件

Mac OS X 二进制只是一个客户端。你不能使用它去启动 docker daemon。使用如下URL可以获得最新版本:

https://get.docker.com/builds/Darwin/i386/docker-latest

https://get.docker.com/builds/Darwin/x86_64/docker-latest

使用下面的URL模式,可以获得特定版本:

https://get.docker.com/builds/Darwin/i386/docker-<version>

https://get.docker.com/builds/Darwin/x86_64/docker-<version>

例如:

https://get.docker.com/builds/Darwin/i386/docker-1.6.0

https://get.docker.com/builds/Darwin/x86_64/docker-1.6.0

获取Windows二进制文件

你也可以下载 1.6.0 (或以上)的Windows客户端。此外,它只是一个客户端,你不能使用它启动 docker daemon.。使用如下URL,可以获得最新的版本:

https://get.docker.com/builds/Windows/i386/docker-latest.exe

https://get.docker.com/builds/Windows/x86_64/docker-latest.exe

使用如下的URL模式,可以下载特定的版本:

https://get.docker.com/builds/Windows/i386/docker-<version>.exe

https://get.docker.com/builds/Windows/x86_64/docker-<version>.exe

例如:

https://get.docker.com/builds/Windows/i386/docker-1.6.0.exe

https://get.docker.com/builds/Windows/x86_64/docker-1.6.0.exe

启动 Docker daemon

# start the docker in daemon mode from the directory you unpacked
$ sudo ./docker daemon &

提供非根访问

docker daemon 总是被根用户启动,并且 docker daemon 绑定到一个Unix socket 替代一个TCP端口。默认情况下,Unix socket属于根用户,所以,你需呀使用 sudo 才能访问它。

如果你(或你的Docker安装者)创建一个命名为docker的 Unix组,并添往里添加用户,之后,当启动daemon时,docker daemon 将Unix Socket的读/写权限分配给docker组。docker daemon 必须且总是被根用户启动,但是,如果你以一个被添加进docker组用户去启动 docker 客户端,之后,所有的客户端命令你都不需要再追加 sudo 。

警告:docker组(或使用 -G 指定组)等同root;查看Docker Daemon 攻击面了解更多 。

升级

手动升级你的Docker,先杀死docker daemon:

$ killall docker

然后,按照常规的步骤进行安装。

运行你的第一个容器!

# check your docker version
$ sudo ./docker version

# run a container and open an interactive shell in the container
$ sudo ./docker run -i -t ubuntu /bin/bash

通过用户指南继续学习。


 

在windows上用压缩包二进制文件(zip binary)安装ruby

1.安装 Ruby    从http://www.ruby-lang.org/en/downloads/ 下载压缩包文件(非源代码),请选择“Ruby 1.8.x-xxx Binary”或“Ruby ...
  • npstar
  • npstar
  • 2009年01月19日 23:43
  • 1918

二进制包安装golang

之前讲过arm平台上的golang的源代码编译安装,这次补充下golang官方提供的其它平台上二进制包安装方法。...
  • qinxiandiqi
  • qinxiandiqi
  • 2015年02月12日 23:08
  • 1851

二进制包方式安装mysql 5.5.32

二进制包下载地址:https://yunpan.cn/cYzvuZvw9XeNI 访问密码 99a21.当前系统 [root@zexi ]# cat /etc/redhat-release Ce...
  • u013897685
  • u013897685
  • 2016年03月22日 01:41
  • 844

linux下mysql二进制包安装

centos 6.3下mysql 5.6.28 二进制包安装步骤: 1.添加用户组和用户 [root@repl1 local]# groupadd mysql [root@repl1 local...
  • weiwangsisoftstone
  • weiwangsisoftstone
  • 2016年01月14日 14:05
  • 1230

CentOS6.5二进制包安装MySQL5.6

最近项目中有用到Mysql,特地研究了一下Mysql的安装及配置。 MySQL的安装分为三种:1、RPM包安装;2、二进制包安装;3、源码安装。 第一种方式比较简单,直接RPM包安装就OK了,或者...
  • cnyyx
  • cnyyx
  • 2015年04月20日 16:13
  • 2157

ubuntu下二进制包形式安装mysql

今天在ubuntu上使用apt-get和软件中心安装mysql时,在最后配置root密码时出错,提示不能设置root密码,于是只能下载mysql的二进制包进行安装。 1、先下载mysql的二进制包,...
  • coolcaosj
  • coolcaosj
  • 2014年04月06日 16:56
  • 1476

linux 下 nodejs 二进制安装

~# wget https://nodejs.org/dist/v4.1.1/node-v4.1.1-linux-x64.tar.gz~# tar -vxf node-v4.1.1-linux-x64...
  • yzm791
  • yzm791
  • 2015年09月26日 20:26
  • 1507

安装mysql5.7.17-二进制包形式

正确安装mysql5.7
  • zhangpfly
  • zhangpfly
  • 2017年08月11日 10:23
  • 326

redis linux 二进制tar包安装,开机启动

下载http://download.redis.io/releases/redis-4.0.2.tar.gz解压,编译cd /usr/local tar -zxvf redis-4.0.2.tar.g...
  • baogeda
  • baogeda
  • 2017年11月18日 22:27
  • 75

Linux中二进制/ 源码包软件的安装 rpm

一、二进制分发版(*.rpm形式的二进制软件包、*.tar.gz/*.tgz、*.bz2形式的二进制软件包)   (一)、*.rpm形式的二进制软件包 安装:rpm –ivh pa...
  • u010154760
  • u010154760
  • 2015年05月24日 21:16
  • 2603
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:1.1.0.3、从二进制包安装
举报原因:
原因补充:

(最多只允许输入30个字)